When I use my layer control and the pop up opens to changes layer or add layer, it will not give me the "x" to close the screen. I am figuring out to close the screen.
Using [PS6], how can I make the line left by the pen tool heavier?
I've been pounding away with google and PS6 manual... but must be using off the wall search stings or something because I'm getting piles of info about bezier curves and using the pen tool but no mentions of making the damn line at least visible.
Even on High desktop sizes that darn line, if anywhere near any other border or line, is nearly invisible.
I'd like a line several pixels wide... but not seeing how that is done.
Where is the option to control page width & height so that you can make both even measurements? I typically get something like w 1920.4px & h 1080px. When I try to change the width to 1920 the height adjusts as well. I know there is a simple fix for this but I can't find it.
I'm not able to find any control for changing line width in stylized view type like tech, ink etc. Is there a control available for it or is it just as it is solution?
Feature is nice though and it would be nice to have such minor controls for it.
when I go to use the Layer Control on the Layer Properties it only lists the layer I'm working on. I then have to use the Layer Manager to change layers. why it would stop listing all the layers?
I am writing a function to create a layer with as many attributes as I need in when creating a layer. The problem I am running into when creating a color definition to the layer. What sort of thing do I pass to the function to change color as a color index number? using col dim?
The passing call would look like this...
createNewLayer("E-SCHDL-BRDR", 15, 0.4) 'I would hope to somehow pass an interger of the to the sub, but get an error when trying to do so, of course
Private Sub createNewLayer(ByVal NewLayerName As String, ByVal AColor As Autodesk.AutoCAD.Colors.Color, ByVal AWidth As Double) Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument Dim docLock As DocumentLock = doc.LockDocument() Dim ed As Editor = doc.Editor Dim db As Database = doc.Database Dim tr As Transaction = db.TransactionManager.StartTransaction 'Dim tm As DBTransMan = db.TransactionManager 'Dim dba As Database = HostApplicationServices.WorkingDatabase Try Dim LT As LayerTable = tr.GetObject(db.LayerTableId, Autodesk.AutoCAD.DatabaseServices.OpenMode.ForRead, False) If LT.Has(NewLayerName) = False Then Dim LTRec As New LayerTableRecord() LTRec.Name = NewLayerName LTRec.Color = AColor LTRec.LineWeight = AWidth LT.UpgradeOpen() LT.Add(LTRec) tr.AddNewlyCreatedDBObject(LTRec, True) tr.Commit() End If Finally tr.Dispose() End Try End Sub
I know you can change the width of the polyline by using the command "plinewid". Is there a way to set a specific width of the polyline on just one specific layer?
For example, I create a layer called "WIDE", and I want the width of the polyline to be 4". But i want the pline width to be 4" ONLY whenever I draw on this particular layer called "WIDE"; but if I draw on the other layers, the polyline width would be back to the default width. Is this even doable?
Is it possible to assign a global width to polylines by layer?
I have made changes to one dwg and i now have to apply it to a bazillion more DWG's. But the chnages apply only to a few layers. So i was wondering if i can set the global width to these polylines by layer somehow to save me from doing it "manually"
I'm working on Civil 3d 2012 and when it's set on Autocrad classic profile I can select my layers right in the drop down list by typing the first letter of the layer and it goes to it. But when my profile is set on Civil 3d, I can do the same in the layer drop down. Is there a way to set it like autocad classic?
we have a drawing where we were un-able to use snaps (end, per, quad, etc.) on any blocks.
It seems like this particular drawing has issues not seen elsewhere.(besides the fact it was badly drawn) After some time playing with all the settings. We turned on the zero layer and then all the nodes were available as usual.
i've been using AutoCad for 20 years and never seen this. Is this some kind of new feature?Can you control the snaps with a layer? WHY?
Windows 7 64 bit Inventor 2012 Professional Dell T1600 CPU E31245 @ 3.30GHz 8 GB RAM
The layer control dropdown in the layer toolbar is just showing the state of the selected object or layer 0 if nothing is selected. Same for the ribbon combo. But it's working in the Quick properties dialog.
Out of the blue, my Layer Control will not work. When I click on the icon, the top two lines on the screen go gray and the whole thing locks up. The layer palette does not appear. If I try to choose anything on the screen, it beeps. It unlocks if I hit escape. If I type in "layer" at the command line, the same thing happens. At this point, I am unable to change lineweights & colors within my layers settings.
When I click in my layer control and type in a "letter" to quickly scroll to that part of the alphabet, it changes my current layer to the first laser alphabetically with that certain letter. Is there a way to turn this off? If i am just looking at layers, I don't want autocad to change my current layer.
My layer Control dropdown isn't working. It's showing only the current layer. If I select an object on another layer, it'll display that layer and the current layer only in the dropdown.I've tried using the PICKFIRST setting, but this makes no difference.
When dragging over a Modelspace View onto a newly created sheet in the SSM, is there a way to automatically designate it to a particular layer of choice, such as the G-Anno-Nplt layer? Just looking for a way to take an extra step out of this process.
How to control existing layers (Freeze On/Off), in an existing viewports (5 of them in Paperspace) in AutoCad Existing drawing with VB.net? I just want to trigger On or Off, different layers in each different viewports.
My ACad2006 Layer Combo Control bar appears to be locked. It will only show the current layer and will not show the layer of an object that is selected with the pickbox. I must have accidentally made a change somehow, but don't know how to undo this.
When I highlight any object in model space the layer control, color control or line type control does not change from the current layer status to the layer of the high lighted object if it is different. I am also not able through this layer control bar able to high light an object and use the fly out arrow to go into the layers and change this object to another desired layer for this object. I have never seen this function just not work before and can find no setting or preference that might not be turned on to make it function. why it is not functioning?
If you have more than one PDF overlay, you might put them on separate layers. Generally speaking in this case, the PDF extents overlap so when i plot different sheets, I would want only a single PDF to be visible.
So, my first thought was to freeze the layers of unwanted PDFs in the viewport. Except, once i did that, nothing happened. So, i guess i have to manually freeze the layer when plotting each sheet? I then can't publish the layouts as the appropriate PDF's won't be visible.
So I need an sub assembly similar to the SuperLayerVaryingWidth, but combined with BasicLane Transition sub. If the SuperLayerVaryingWidth sub would follow an ETW profile to set slope, then I would be set. Any tips on how to create this? I'm pretty rusty at building custom subs.
I know you can set the view port type in your template for sheet setup controls...
BUT - I have a situation where we have profile xrefs of utilities, in those utility profile drawings we must <DR> in the utilities in plan view. I don't want those utilities to show in my PLAN VIEW view port... So now I simply VP freeze the profile layers in the plan view... simple and easy...
WISH - that I could set my view port types to PLAN and PROFILE, and have only PLAN layers show in PLAN and only PROFILE layers show in PROFILE.... AUTOMATICALLY....
Is there a way to control what layer a site is created on?
I am surprised I hadn't noticed until now that a site is actually an AECC_PARCEL In 2012 it comes in on the current layer. This causes some undesirable behavior. If your current layer is locked you are unable to create a site. If you later lock the layer the site is on you are prevented from changing site properties. I found it when I could not purge a layer because it contained the site.
Is there an easy way to switch from a viewport in paperspace to modelspace and have the same layer state show up? I typically run with my paperspace set up with the layers showing how they will print (show lightweights and display plot styles) but I would like to be able to switch to model space and only see the layers that are showing in a particular viewport, to minimize manual layer isolation.
This only happens from time to time. I have a sheet set up with multiple viewports. I double click in one viewport, type LAYER, and the layer dialog appears but my viewport has changed.
I need to be able to grab all polylines and change global width at once. This is a repetitve task that i have created a button for. I am trying to use this but it is not working. It gets hung up on me wanting to manually select the polylines when i thought i grabbed them with the first line.
(ssget "X" '((8 . "LayerName"))) (command "PEDIT" "w" "9")